dilip_meet17289
dilip_meet17289

I have an old installation of October on local host. When I tried to update it, through http://localhost/octobercms/backend/system/updates

I got the following error

"Use of undefined constant CURLOPT_FOLLOWLOCATION - assumed 'CURLOPT_FOLLOWLOCATION'" on line 440 of /var/www/html/octobercms/vendor/october/rain/src/Network/Http.php

dilip_meet17289
shakogele20994
shakogele20994

I have same problem.

I have lamp stack on ubuntu 14.04 on Digital Ocean. apach2, php 5.6, curl is enabled mcrypt is also enabled. permissions are set up correctly (755 on folders, www-data:www-data). when I try to install plugin ig gives me following error:

"Use of undefined constant CURLOPT_FOLLOWLOCATION - assumed 'CURLOPT_FOLLOWLOCATION'" on line 395 of /var/www/.../vendor/october/rain/src/Network/Http.php.

if anybody has any idea regarding the issue. thanks in advance

stephenlch11122433
stephenlch11122433

Hi, I have the same error as followings when I click on "check for updates" or "install plugin" in the backend settings.

"Use of undefined constant CURLOPT_FOLLOWLOCATION - assumed 'CURLOPT_FOLLOWLOCATION'" on line 444 of /var/www/html/vendor/october/rain/src/Network/Http.php"

In need of helps please.

boriseto
boriseto

Install php-curl and after that (not sure if needed) phpenmod curl and restart apache.

augustoadames25342
augustoadames25342

Thanks @boriseto. Your comment helped me very much. After install php-curl, error disappeared.

franciscosl
franciscosl

Hi,

I have the exact same error, even after installing php-curl. Any other suggestions for a fix?

Thanks

franciscosl
franciscosl

Hi,

It's been 3 months. Same ongoing issue. Anyone?

Thanks

1-9 of 9